
require('chessgame')

local sample = {
  startPosition = 'rnbqkbnr/pppppppp/8/8/8/8/PPPPPPPP/RNBQKBNR w KQkq - 0 1',
  check = 'rnbqkbnr/ppp1pppp/8/1B1p4/4P3/8/PPPP1PPP/RNBQK1NR b KQkq - 1 1',
  checkAfterMove = 'rnbqkbnr/pppp1ppp/8/1B2p3/4P3/8/PPPP1PPP/RNBQK1NR b KQkq - 1 1'
}

local positionData = encodePositionData(sample.startPosition)
local legalMoves = generateLegalMoves(positionData)

assert(#legalMoves == 20)

positionData = encodePositionData(sample.check)
local extraPositionData = think(positionData)

assert(extraPositionData.check)
